Loading...
Searching...
No Matches
disk_unistd_global.h File Reference
`#include <fcntl.h>`

Go to the source code of this file.

## Data Structures

struct | starpu_unistd_global_obj

## Macros

#define | O_BINARY
#define | STARPU_UNISTD_USE_COPY

## Typedefs

typedef off_t | starpu_loff_t

## Functions

void * | starpu_unistd_global_alloc (struct starpu_unistd_global_obj *obj, void *base, size_t size)
void | starpu_unistd_global_free (void *base, void *obj, size_t size)
void * | starpu_unistd_global_open (struct starpu_unistd_global_obj *obj, void *base, void *pos, size_t size)
void | starpu_unistd_global_close (void *base, void *obj, size_t size)
int | starpu_unistd_global_read (void *base, void *obj, void *buf, off_t offset, size_t size)
int | starpu_unistd_global_write (void *base, void *obj, const void *buf, off_t offset, size_t size)
void * | starpu_unistd_global_plug (void *parameter, starpu_ssize_t size)
void | starpu_unistd_global_unplug (void *base)
int | _starpu_get_unistd_global_bandwidth_between_disk_and_main_ram (unsigned node, void *base)
void * | starpu_unistd_global_async_read (void *base, void *obj, void *buf, off_t offset, size_t size)
void * | starpu_unistd_global_async_write (void *base, void *obj, void *buf, off_t offset, size_t size)
void * | starpu_unistd_global_async_full_write (void *base, void *obj, void *ptr, size_t size)
void * | starpu_unistd_global_async_full_read (void *base, void *obj, void **ptr, size_t *size, unsigned dst_node)
void | starpu_unistd_global_wait_request (void *async_channel)
int | starpu_unistd_global_test_request (void *async_channel)
void | starpu_unistd_global_free_request (void *async_channel)
int | starpu_unistd_global_full_read (void *base, void *obj, void **ptr, size_t *size, unsigned dst_node)
int | starpu_unistd_global_full_write (void *base, void *obj, void *ptr, size_t size)

## Data Structure Documentation

## starpu_unistd_global_obj

struct starpu_unistd_global_obj

Data Fields
int | descriptor |
char * | path |
size_t | size |
int | flags |
starpu_pthread_mutex_t | mutex |